summaryrefslogtreecommitdiffstats
path: root/network/linuxdcpp
diff options
context:
space:
mode:
author Niklas Nille Åkerström <nille_kungen[AT]hotmail.com>2010-05-11 22:54:53 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 22:54:53 +0200
commit27df163d1010f95db053d478cc221e488e887cad (patch)
treea31ebdb77e2b61dfe589a264878dad0de4dc8071 /network/linuxdcpp
parent7b6e2e8bfed4dcfd7f4da3f82204c1a87e368343 (diff)
downloadslackbuilds-27df163d1010f95db053d478cc221e488e887cad.tar.gz
slackbuilds-27df163d1010f95db053d478cc221e488e887cad.tar.xz
network/linuxdcpp: Added to 12.1 repository
Diffstat (limited to 'network/linuxdcpp')
-rw-r--r--network/linuxdcpp/README4
-rw-r--r--network/linuxdcpp/doinst.sh13
-rw-r--r--network/linuxdcpp/linuxdcpp.SlackBuild86
-rw-r--r--network/linuxdcpp/linuxdcpp.desktop11
-rw-r--r--network/linuxdcpp/linuxdcpp.info8
-rw-r--r--network/linuxdcpp/slack-desc19
6 files changed, 141 insertions, 0 deletions
diff --git a/network/linuxdcpp/README b/network/linuxdcpp/README
new file mode 100644
index 0000000000..046e70c18c
--- /dev/null
+++ b/network/linuxdcpp/README
@@ -0,0 +1,4 @@
+linuxdcpp is an Unix/Linux port of the DC++ client.
+It's a client for direct connect P2P networks.
+
+This requires scons (also available on SlackBuilds.org).
diff --git a/network/linuxdcpp/doinst.sh b/network/linuxdcpp/doinst.sh
new file mode 100644
index 0000000000..242ad81ab9
--- /dev/null
+++ b/network/linuxdcpp/doinst.sh
@@ -0,0 +1,13 @@
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor > /dev/null 2>&1
+fi
+
diff --git a/network/linuxdcpp/linuxdcpp.SlackBuild b/network/linuxdcpp/linuxdcpp.SlackBuild
new file mode 100644
index 0000000000..d8d5c69797
--- /dev/null
+++ b/network/linuxdcpp/linuxdcpp.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for linuxdcpp
+#
+# Copyright 2007 Niklas "Nille" Åkerström
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=linuxdcpp
+VERSION=1.0.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+rw,go+r-w .
+
+scons \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ PREFIX=/usr \
+ FAKE_ROOT=$PKG \
+ debug=no \
+ release=no \
+ profile=no
+
+scons install
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/linuxdcpp.desktop > $PKG/usr/share/applications/linuxdcpp.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/$PRGNAM/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $PKG $TMP/$PRGNAM-$VERSION
+ fi
diff --git a/network/linuxdcpp/linuxdcpp.desktop b/network/linuxdcpp/linuxdcpp.desktop
new file mode 100644
index 0000000000..cc5d5451c2
--- /dev/null
+++ b/network/linuxdcpp/linuxdcpp.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Name=Linux DC++
+Comment=DC++ Linux client
+Exec=linuxdcpp
+Icon=/usr/share/linuxdcpp/pixmaps/linuxdcpp-icon.png
+Terminal=false
+Type=Application
+Categories=Application;Network;
+GenericName=P2P client
+GenericName[sv]=P2P klient
+Comment[sv]=DC++ Linux klient \ No newline at end of file
diff --git a/network/linuxdcpp/linuxdcpp.info b/network/linuxdcpp/linuxdcpp.info
new file mode 100644
index 0000000000..7d3318e789
--- /dev/null
+++ b/network/linuxdcpp/linuxdcpp.info
@@ -0,0 +1,8 @@
+PRGNAM="linuxdcpp"
+VERSION="1.0.2"
+HOMEPAGE="http://linuxdcpp.berlios.de"
+DOWNLOAD="http://download.berlios.de/linuxdcpp/linuxdcpp-1.0.2.tar.bz2"
+MD5SUM="905d572357cbdbc66c8d45fe394f80fc"
+MAINTAINER="Niklas 'Nille' Åkerström"
+EMAIL="nille_kungen[AT]hotmail.com"
+APPROVED="Erik Hanson"
diff --git a/network/linuxdcpp/slack-desc b/network/linuxdcpp/slack-desc
new file mode 100644
index 0000000000..37311ff8da
--- /dev/null
+++ b/network/linuxdcpp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+linuxdcpp: linuxdcpp (linux dc plus plus)
+linuxdcpp:
+linuxdcpp: linuxdcpp is an Unix/Linux port of the DC++ client.
+linuxdcpp: It's a client for direct connect P2P networks.
+linuxdcpp:
+linuxdcpp: Homepage: http://linuxdcpp.berlios.de
+linuxdcpp:
+linuxdcpp:
+linuxdcpp:
+linuxdcpp:
+linuxdcpp: